GDB (xrefs)

Public Attributes | List of all members
darwin_exception_info Struct Reference

`#include "darwin-nat.h"`

## Public Attributes
exception_mask_t | masks [EXC_TYPES_COUNT] {}
mach_port_t | ports [EXC_TYPES_COUNT] {}
exception_behavior_t | behaviors [EXC_TYPES_COUNT] {}
thread_state_flavor_t | flavors [EXC_TYPES_COUNT] {}
mach_msg_type_number_t | count = 0

## Detailed Description

Definition at line 27 of file darwin-nat.h.

## Member Data Documentation

## ◆ behaviors

exception_behavior_t darwin_exception_info::behaviors[EXC_TYPES_COUNT] {}

Definition at line 36 of file darwin-nat.h.

Referenced by disp_exception(), and info_mach_exceptions_command().

## ◆ count

mach_msg_type_number_t darwin_exception_info::count = 0

Definition at line 42 of file darwin-nat.h.

Referenced by disp_exception(), and info_mach_exceptions_command().

## ◆ flavors

thread_state_flavor_t darwin_exception_info::flavors[EXC_TYPES_COUNT] {}

Definition at line 39 of file darwin-nat.h.

Referenced by info_mach_exceptions_command().

## ◆ masks

exception_mask_t darwin_exception_info::masks[EXC_TYPES_COUNT] {}

Definition at line 30 of file darwin-nat.h.

Referenced by disp_exception(), and info_mach_exceptions_command().

## ◆ ports

mach_port_t darwin_exception_info::ports[EXC_TYPES_COUNT] {}

Definition at line 33 of file darwin-nat.h.

Referenced by disp_exception(), and info_mach_exceptions_command().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/darwin-nat.h